View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007249LazarusIDEpublic2006-08-10 19:092011-12-01 11:23
ReporterJaque Clement 
Assigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.9.16Product Build 
Target VersionFixed in Version 
Summary0007249: Accelerator keys in main menu not working
DescriptionI have used the '&' character in the Caption property of the various menu items in order to make use of accelerator keys (pressing Alt and the appropriate letter). However, it doesn't seem to be working.
TagsNo tags attached.
Fixed in Revision9859
LazTarget-
WidgetsetWin32/Win64
Attached Files

- Relationships
related to 0010282closedMattias Gaertner Main menu not accessible via alt shortcuts (e.g. alt+f for File) 
related to 0001946closedPaul Ishenin Caption with & issues 

-  Notes
(0008647)
Darius Blaszijk (developer)
2006-08-10 20:16

Have you assigned the Shortcut property also? It seems to work here.
(0008648)
Jaque Clement (reporter)
2006-08-10 23:51

I probably can assign shortcuts, but it is not the default behaviour of Windows menu items. They are supposed to be accessed by pressing the ALT-key and then pressing the character that is underlined (the character after the '&'-character in the caption property). ALT-keys are not supported by the Shortcut property, so I can't assign for example ALT-f to the File menu item.
(0008907)
Micha Nelissen (manager)
2006-09-11 18:41

Still to be implemented: detecting duplicate accelerators and responding with code 3 from WM_MENUCHAR message.
(0030899)
Paul Ishenin (manager)
2009-09-22 10:21

As I can see it works very well. Do you still have any problem with this?
(0035365)
Vincent Snijders (manager)
2010-03-12 16:34

No further feedback, not from reporter, nor from Micha.

- Issue History
Date Modified Username Field Change
2006-08-10 19:09 Jaque Clement New Issue
2006-08-10 19:09 Jaque Clement Widgetset => Win32
2006-08-10 20:16 Darius Blaszijk Note Added: 0008647
2006-08-10 21:48 Vincent Snijders Target => 1.0
2006-08-10 21:48 Vincent Snijders Assigned To => Martin Smat
2006-08-10 21:48 Vincent Snijders Status new => assigned
2006-08-10 23:51 Jaque Clement Note Added: 0008648
2006-09-11 08:16 Martin Smat Fixed in Revision => 9859
2006-09-11 08:16 Martin Smat Status assigned => resolved
2006-09-11 08:16 Martin Smat Resolution open => fixed
2006-09-11 08:16 Martin Smat Fixed in Version => 0.9.17 (SVN)
2006-09-11 18:41 Micha Nelissen Note Added: 0008907
2006-09-11 18:41 Micha Nelissen Status resolved => assigned
2006-09-11 18:41 Micha Nelissen Resolution fixed => reopened
2006-09-11 18:41 Micha Nelissen Fixed in Version 0.9.17 (SVN) =>
2008-04-16 03:36 Felipe Monteiro de Carvalho Relationship added related to 0010282
2008-04-16 03:36 Felipe Monteiro de Carvalho Relationship added related to 0001946
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2008-06-11 12:39 Vincent Snijders LazTarget 1.0 => -
2008-06-11 12:39 Vincent Snijders Target Version 1.0.0 =>
2009-09-22 10:20 Paul Ishenin Assigned To Martin Smat =>
2009-09-22 10:21 Paul Ishenin Note Added: 0030899
2009-09-22 10:21 Paul Ishenin Status assigned => feedback
2010-03-12 16:34 Vincent Snijders Status feedback => resolved
2010-03-12 16:34 Vincent Snijders Resolution reopened => fixed
2010-03-12 16:34 Vincent Snijders Assigned To => Vincent Snijders
2010-03-12 16:34 Vincent Snijders Note Added: 0035365
2011-12-01 11:23 Marc Weustink Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker